{"swagger":"2.0","info":{"version":"1","title":"","description":""},"paths":{"/counterparties":{"get":{"tags":["counterparties"],"summary":"Get counterparties list","description":"Get counterparties list","produces":["application/json"],"parameters":[{"name":"guids","in":"query","description":"Counterparty's GUIDs","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"csv"},{"name":"names","in":"query","description":"Counterparty's names","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"csv"},{"name":"holding_names","in":"query","description":"Counterparty's holding names","required":false,"type":"array","items":{"type":"string"},"collectionFormat":"csv"},{"name":"offset","in":"query","description":"Offset","required":false,"type":"integer"},{"name":"limit","in":"query","description":"Limit","required":false,"type":"integer"},{"name":"ordering","in":"query","description":"Ordering","required":false,"type":"string","enum":["created_at"]}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/counterparty.CounterpartiesResponse"}},"400":{"description":"json with error msg","schema":{"$ref":"#/definitions/counterparty.ErrorMessage"}}}}}},"definitions":{"counterparty.CounterpartiesResponse":{"type":"object","properties":{"counterparties":{"type":"array","items":{"$ref":"#/definitions/counterparty.Counterparty"}},"total":{"type":"integer"}}},"counterparty.Counterparty":{"type":"object","properties":{"created_at":{"type":"string"},"description":{"type":"string"},"guid":{"type":"string"},"holding_name":{"type":"string"},"keto_read_host":{"type":"string","description":"keto read host"},"keto_write_host":{"type":"string","description":"keto write host"},"kratos_admin_host":{"type":"string"},"name":{"type":"string","description":"unique counterparty's name"},"recovery_frontend_url":{"type":"string"},"updated_at":{"type":"string"},"user_auth_url":{"type":"string","description":"userAuthURL url where we can request user authorization on counterparty side"},"user_id_url":{"type":"string","description":"userIDURL url where we can request user id on counterparty side"},"user_key_url":{"type":"string","description":"userKeyURL url where we can request user key on counterparty side"}}},"counterparty.ErrorMessage":{"type":"object","properties":{"error":{"type":"string"}}}}}